/*=========================================================================
                                                                                
  Program:   bbtk
  Module:    $RCSfile: bbs2cpp.cxx,v $
  Language:  C++
  Date:      $Date: 2008/10/14 14:20:24 $
  Version:   $Revision: 1.4 $
                                                                                
  Copyright (c) CREATIS (Centre de Recherche et d'Applications en Traitement de
  l'Image). All rights reserved. See Doc/License.txt or
  http://www.creatis.insa-lyon.fr/Public/bbtk/License.html for details.
                                                                                
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notices for more information.
                                                                                
=========================================================================*/


#include "bbtkInterpreter.h"
#include "bbtkUtilities.h"

int main(int argc, char* argv[])
{  
  if (argc<2) return 1;

  std::string file,path;
  file = bbtk::Utilities::ExtractScriptName(argv[1],path);
  file += ".h";
  bbtk::Interpreter::Pointer I = bbtk::Interpreter::New(file);

  I->SetThrow(true);

  try
    {
      I->InterpretFile(argv[1]);
    }
  catch (bbtk::Exception e)
    {
      e.Print();
    }

  return 0;
}

// EOF

