/*=========================================================================                                                                               
  Program:   bbtk
  Module:    $RCSfile: bbstdMagicBox.cxx,v $
  Language:  C++
  Date:      $Date: 2009/06/08 14:50:06 $
  Version:   $Revision: 1.8 $
=========================================================================*/

/* ---------------------------------------------------------------------

* Copyright (c) CREATIS-LRMN (Centre de Recherche en Imagerie Medicale)
* Authors : Eduardo Davila, Laurent Guigues, Jean-Pierre Roux
*
*  This software is governed by the CeCILL-B license under French law and 
*  abiding by the rules of distribution of free software. You can  use, 
*  modify and/ or redistribute the software under the terms of the CeCILL-B 
*  license as circulated by CEA, CNRS and INRIA at the following URL 
*  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
*  or in the file LICENSE.txt.
*
*  As a counterpart to the access to the source code and  rights to copy,
*  modify and redistribute granted by the license, users are provided only
*  with a limited warranty  and the software's author,  the holder of the
*  economic rights,  and the successive licensors  have only  limited
*  liability. 
*
*  The fact that you are presently reading this means that you have had
*  knowledge of the CeCILL-B license and that you accept its terms.
* ------------------------------------------------------------------------ */                                                                         


#include "bbstdMagicBox.h"
#include "bbstdPackage.h"
#include "bbtkBlackBoxOutputConnector.h"
using namespace bbtk;

namespace bbstd
{


  void MagicBox::bbUserSetDefaultValues()
  {
  }
  void MagicBox::bbUserInitializeProcessing() 
  { 
  }
  void  MagicBox::bbUserFinalizeProcessing() 
  {
  }
  void MagicBox::DoProcess()
  { 
    bbSetOutputOut( bbGetInputIn() );
  }

  BBTK_ADD_BLACK_BOX_TO_PACKAGE(std,MagicBox);
  BBTK_BLACK_BOX_IMPLEMENTATION(MagicBox,bbtk::AtomicBlackBox);
  
}
// EO namespace bbstd
